Please merge file 5.04-5 (main) from Debian unstable (main)

Bug #668729 reported by Lorenzo De Liso
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
file (Debian)
Fix Released
Unknown
file (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: file

file (5.04-5) unstable; urgency=low

   [ Daniel Baumann ]
   * Adding patch from Adam Buchbinder <email address hidden> to fix
     false positives in Bio-Rad PIC detection (Closes: #589056).
   * Adding patch from Adam Buchbinder <email address hidden> to add
     new magics for JFS filesystem images (Closes: #589067).
   * Adding patch from Nahuel Greco <email address hidden> to add new magics
     for Erlang DETS files (Closes: #589723).

   [ Judit Foglszinger ]
   * Adding myself to uploaders.
   * Replacing dh_python with dh_pysupport in debian/rules (Closes:
     #529351).

 -- Daniel Baumann <email address hidden> Thu, 05 Aug 2010 17:06:03 +0200

file (5.04-4) unstable; urgency=low

   * Adding patch from Arnaud Giersch <<email address hidden>-
     fcomte.fr> to fix that file does not always correctly report the
     faulty command for core files (Closes: #422524, #427876).
   * Adding patch from Adam Buchbinder <email address hidden> to
     update qemu magics (Closes: #451524).
   * Adding patch from Ori Avtalion <email address hidden> to fix a typo and
     a formating issue in file manpage (Closes: #499754).
   * Renumbering patches.
   * Adding patch from Adam Buchbinder <email address hidden> to add
     new magic for datafork fonts (Closes: #291908).
   * Adding patch from Adam Buchbinder <email address hidden> to add
     new magics for PDB files (Closes: #480829).
   * Adding patch from Adam Buchbinder <email address hidden> to
     update PSF2 magics (Closes: #492035).
   * Adding patch from Adam Buchbinder <email address hidden> to add
     new magics for Canon CRW and CR2 files (Closes: #516054).
   * Adding patch from Richard Smith <email address hidden> to update
     Dyalog APL magics (Closes: #537893).
   * Adding patch from Євгеній Мещеряков <email address hidden> to add new
     magic for GDSII (Closes: #576462).
   * Adding patch from Frédéric Brière <email address hidden> to add new
     magics for Git index files (Closes: #583679).

 -- Daniel Baumann <email address hidden> Tue, 13 Jul 2010 19:37:04 +0200

file (5.04-3) unstable; urgency=low

   * Adding patch to add new magic for DACT (Closes: #582945).
   * Updating magic-add-dact.patch to append to compress instead of
     archive magic files.
   * Updating standards version to 3.9.0.
   * Adding patch from Eloi Notario <email address hidden> to update lzma
     magics (Closes: #576950).
   * Adding (empty) directory holding custom magics (Closes: #582944).
   * Adding patch for consistent spelling of XZ compression (Closes:
     #541087).

 -- Daniel Baumann <email address hidden> Sun, 11 Jul 2010 02:41:19 +0200

file (5.04-2) unstable; urgency=low

   * Bumping versioned build-depends on debhelper because of dh_bugfiles
     usage.
   * Shortening package long-descriptions (Closes: #570817).
   * Updating copyright file to current state of the art (Closes:
     #573519).
   * Sorting and wrapping build-depends.
   * Sorting and wrapping depends.
   * Sorting fields in control.
   * Stopping to ship (partially outdated) plain text mime files, which
     was always unsupported, the only supported interface still is using
     the library.
   * Adding README.Debian to file to tell users and package maintainers
     on how to add their own magics.
   * Dropping la files.
   * Moving local magics stubs from file to libmagic1 where they actually
     belong.

 -- Daniel Baumann <email address hidden> Sat, 27 Mar 2010 11:55:37 +0100

file (5.04-1) unstable; urgency=low

   * Updating year in copyright file.
   * Updating to standards 3.8.4.
   * Merging upstream version 5.04.
   * Removing magic-update-asf.patch, went upstream.
   * Rediffing magic-update-awk.patch.
   * Rediffing magic-update-bash.patch.
   * Rediffing magic-update-tcsh.patch.
   * Rediffing magic-update-linuxswap.patch.
   * Removing magic-update-ruby.patch, went upstream.
   * Removing magic-update-postscript-fonts.patch, went upstream.
   * Rediffing magic-add-par2.patch.
   * Rediffing magic-add-cromfs.patch.
   * Rediffing magic-add-bacula.patch.
   * Removing magic-add-ppc-swapfile.patch, went upstream.
   * Rediffing file-mgc.patch.
   * Removing file-hurd.patch, went upstream.
   * Updating magic-add-freemind.patch for new upstream.
   * Using debhhelper bug files rather than manual installing in rules
     file.
   * Renaming directory for storing local debian additions to more common
     name.

 -- Daniel Baumann <email address hidden> Mon, 01 Feb 2010 14:26:27 +0100

Related branches

Lorenzo De Liso (blackz)
Changed in file (Ubuntu):
importance: Undecided → Wishlist
Changed in file (Debian):
status: Unknown → New
Revision history for this message
Benjamin Drung (bdrung) wrote :

Why did you drop the changes for debian/patches/208-magic-add-ssh.patch? It's not fixed in Debian. The Debian patch still contains tabs.

Changed in file (Ubuntu):
status: New → Incomplete
Revision history for this message
Lorenzo De Liso (blackz) wrote :

Fixed with this debdiff.

Revision history for this message
Lorenzo De Liso (blackz) wrote :

Oh sorry, I attached the wrong debdiff.

Changed in file (Ubuntu):
status: Incomplete → New
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (4.5 KiB)

This bug was fixed in the package file - 5.04-5ubuntu1

---------------
file (5.04-5ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #668729), remaining changes:
    - Fix recognition of mime-type application/x-iso9660-image (LP: 458677):
      + add debian/patches/300-magic-fix-iso9660-image.patch
    - Fix bad tabs for OpenSSH DSA/RSA public keys (LP: 533553):
      + fix debian/patches/208-magic-add-ssh.patch

file (5.04-5) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding patch from Adam Buchbinder <email address hidden> to fix
    false positives in Bio-Rad PIC detection (Closes: #589056).
  * Adding patch from Adam Buchbinder <email address hidden> to add
    new magics for JFS filesystem images (Closes: #589067).
  * Adding patch from Nahuel Greco <email address hidden> to add new magics
    for Erlang DETS files (Closes: #589723).

  [ Judit Foglszinger ]
  * Adding myself to uploaders.
  * Replacing dh_python with dh_pysupport in debian/rules (Closes:
    #529351).

file (5.04-4) unstable; urgency=low

  * Adding patch from Arnaud Giersch <<email address hidden>-
    fcomte.fr> to fix that file does not always correctly report the
    faulty command for core files (Closes: #422524, #427876).
  * Adding patch from Adam Buchbinder <email address hidden> to
    update qemu magics (Closes: #451524).
  * Adding patch from Ori Avtalion <email address hidden> to fix a typo and
    a formating issue in file manpage (Closes: #499754).
  * Renumbering patches.
  * Adding patch from Adam Buchbinder <email address hidden> to add
    new magic for datafork fonts (Closes: #291908).
  * Adding patch from Adam Buchbinder <email address hidden> to add
    new magics for PDB files (Closes: #480829).
  * Adding patch from Adam Buchbinder <email address hidden> to
    update PSF2 magics (Closes: #492035).
  * Adding patch from Adam Buchbinder <email address hidden> to add
    new magics for Canon CRW and CR2 files (Closes: #516054).
  * Adding patch from Richard Smith <email address hidden> to update
    Dyalog APL magics (Closes: #537893).
  * Adding patch from Євгеній Мещеряков <email address hidden> to add new
    magic for GDSII (Closes: #576462).
  * Adding patch from Frédéric Brière <email address hidden> to add new
    magics for Git index files (Closes: #583679).

file (5.04-3) unstable; urgency=low

  * Adding patch to add new magic for DACT (Closes: #582945).
  * Updating magic-add-dact.patch to append to compress instead of
    archive magic files.
  * Updating standards version to 3.9.0.
  * Adding patch from Eloi Notario <email address hidden> to update lzma
    magics (Closes: #576950).
  * Adding (empty) directory holding custom magics (Closes: #582944).
  * Adding patch for consistent spelling of XZ compression (Closes:
    #541087).

file (5.04-2) unstable; urgency=low

  * Bumping versioned build-depends on debhelper because of dh_bugfiles
    usage.
  * Shortening package long-descriptions (Closes: #570817).
  * Updating copyright file to current state of the art (Closes:
    #573519).
  * Sorting and wrapping build-depends.
  * Sorting and wrapping depends.
  * Sorting fields in contro...

Read more...

Changed in file (Ubuntu):
status: New → Fix Released
Changed in file (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.